/* 라이트박스 확대 이미지의 스타일 초기화 */
.wp-lightbox-overlay .wp-block-image img {
    border-radius: 0 !important;
    object-fit: contain !important;
    object-position: center center !important;
    aspect-ratio: auto !important;
    width: auto !important;
    height: auto !important;
    max-width: 100% !important;
    max-height: 100% !important;
}

.wp-block-column:has(.wp-block-group:empty) {
  display: none;
}

/* 최종 수정 */
.wp-block-post-date__modified-date::after {
   margin-left: 3px;
   content: " 수정됨";
   float: right;
   display: block;
}

.wp-block-list {
    padding-left: 30px !important;
}

/* 콘텐츠 전체 패딩 제거 */
.wp-block-media-text > .wp-block-media-text__content {
    padding: 0 !important;
}

/* 이미지와 텍스트 사이 간격 조절 */
.wp-block-media-text {
    column-gap: 1rem;
}

/* 텍소노미 디자인 */
.parent-category-cloud,
.subcategory-cloud,
.archive-tag-cloud {
  display: flex;
  flex-wrap: wrap;
  gap: 0.2rem;
}
.wp-block-post-terms .wp-block-post-terms__separator {
    white-space: pre-wrap;
    opacity: 0;
}
.taxonomy-category.parent-category-cloud a,
.taxonomy-category.subcategory-cloud a,
.taxonomy-post_tag.archive-tag-cloud a {
   position: relative;
   padding: 3px 5px;
   background-color: inherit;
   color: inherit;
   border-radius: 5px;
  }

.taxonomy-category.parent-category-cloud a {
   background-color: var(--wp--preset--color--accent-1);
   color: var(--wp--preset--color--black);
   font-size: var(--wp--preset--font-size--medium)
}
.taxonomy-category.subcategory-cloud a {
   background-color: var(--wp--preset--color--accent-5);
   color: var(--wp--preset--color--black);
   font-size: var(--wp--preset--font-size--medium)
}
.archive-tag-cloud a {
   font-size: var(--wp--preset--font-size--small);
}

/* 특정 태그 색상 */
.taxonomy-post_tag a[href*="tag/stop-self/"] {
   background-color: red;
   color: white;
}
.taxonomy-post_tag a[href*="tag/continue-reading/"] {
   background-color: white;
   color: black;
}
.taxonomy-post_tag a[href*="tag/complate-bbabam/"] {
   background-color: green;
   color: white;
}